## ros-one-interactive-marker-tutorials 0.11.0-6jammy.20251023.1035

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6jammy.20251023.1035) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 10:35:37 +0000

ros-one-interactive-marker-tutorials (0.11.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.4-0jammy) jammy; urgency=high

  * Updated to use ``catkin_install_python()`` (#59 <https://github.com/ros-visualization/visualization_tutorials/issues/59>)
  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Removed unused ``saveMarker()`` (#47 <https://github.com/ros-visualization/visualization_tutorials/issues/47>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.2-0jammy) jammy; urgency=high

  * Normalized quaternions. (#40 <https://github.com/ros-visualization/visualization_tutorials//issues/40>)
  * Contributors: dhood

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.0-0jammy) jammy; urgency=high

  * Added support Qt5 in Kinetic.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.2-0jammy) jammy; urgency=high

  * Removed deprecated imports.
  * Fix Python InteractiveMarkers tutorials to use the correct frame names.
  * Updated ``simple_marker.cpp`` by including the time stamp.
    Without the time stamp the cube does not show up in rviz and reports an error.
  * Contributors: Javier V. Gomez, Robert Haschke, agoudar

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.0-0jammy) jammy; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

## ros-one-interactive-marker-tutorials 0.11.0-6jammy.20251207.2306

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6jammy.20251207.2306) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 07 Dec 2025 23:06:18 +0000

## ros-one-interactive-marker-tutorials 0.11.0-6jammy.20260221.2201

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6jammy.20260221.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 21 Feb 2026 22:01:19 +0000

## ros-one-interactive-marker-tutorials 0.11.0-6noble.20251023.1053

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(interactive_marker_tutorials)

find_package(catkin REQUIRED COMPONENTS interactive_markers roscpp visualization_msgs tf)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS interactive_markers roscpp visualization_msgs tf
)

###########
## Build ##
###########

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_executable(simple_marker src/simple_marker.cpp)
target_link_libraries(simple_marker
   ${catkin_LIBRARIES}
)

add_executable(basic_controls src/basic_controls.cpp)
target_link_libraries(basic_controls
   ${catkin_LIBRARIES}
)

add_executable(selection src/selection.cpp)
target_link_libraries(selection
   ${catkin_LIBRARIES}
)

add_executable(pong src/pong.cpp)
target_link_libraries(pong
   ${catkin_LIBRARIES}
)

add_executable(cube src/cube.cpp)
target_link_libraries(cube
   ${catkin_LIBRARIES}
)

add_executable(menu src/menu.cpp)
target_link_libraries(menu
   ${catkin_LIBRARIES}
)

add_executable(point_cloud src/point_cloud.cpp)
target_link_libraries(point_cloud
   ${catkin_LIBRARIES}
)
#############
## Install ##
#############

catkin_install_python(PROGRAMS
  scripts/basic_controls.py
  scripts/cube.py
  scripts/menu.py
  scripts/simple_marker.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS
  simple_marker
  basic_controls
  selection
  pong
  cube
  menu
  point_cloud
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6noble.20251023.1053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 10:53:39 +0000

ros-one-interactive-marker-tutorials (0.11.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.4-0noble) noble; urgency=high

  * Updated to use ``catkin_install_python()`` (#59 <https://github.com/ros-visualization/visualization_tutorials/issues/59>)
  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Removed unused ``saveMarker()`` (#47 <https://github.com/ros-visualization/visualization_tutorials/issues/47>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.2-0noble) noble; urgency=high

  * Normalized quaternions. (#40 <https://github.com/ros-visualization/visualization_tutorials//issues/40>)
  * Contributors: dhood

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Jan 2018 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.10.0-0noble) noble; urgency=high

  * Added support Qt5 in Kinetic.
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.2-0noble) noble; urgency=high

  * Removed deprecated imports.
  * Fix Python InteractiveMarkers tutorials to use the correct frame names.
  * Updated ``simple_marker.cpp`` by including the time stamp.
    Without the time stamp the cube does not show up in rviz and reports an error.
  * Contributors: Javier V. Gomez, Robert Haschke, agoudar

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-interactive-marker-tutorials (0.9.0-0noble) noble; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-interactive-marker-tutorials
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-interactive-markers, ros-one-roscpp, ros-one-tf, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/interactive_marker_tutorials
Standards-Version: 3.9.2

Package: ros-one-interactive-marker-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-interactive-markers, ros-one-roscpp, ros-one-tf, ros-one-visualization-msgs
Description: The interactive_marker_tutorials package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-interactive-marker-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-interactive-marker-tutorials 0.11.0-6noble.20251208.1000

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6noble.20251208.1000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 08 Dec 2025 10:00:06 +0000

## ros-one-interactive-marker-tutorials 0.11.0-6noble.20260221.2255

=== debian/changelog ===
ros-one-interactive-marker-tutorials (0.11.0-6noble.20260221.2255) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 21 Feb 2026 22:55:06 +0000
